# Kodi SponsorBlock

[![GitHub release (latest by date)](https://img.shields.io/github/v/release/36-chambers/script.service.sponsorblock)](https://github.com/36-chambers/script.service.sponsorblock/releases/latest)
[![gitlocalized](https://gitlocalize.com/repo/4205/whole_project/badge.svg)](https://gitlocalize.com/repo/4205)

This is an **unofficial** port of the [SponsorBlock](https://sponsor.ajay.app/) browser extension.
It works as an extension to the [YouTube Plugin](https://github.com/anxdpanic/plugin.video.youtube).

Once installed, the add-on will automatically skip sponsor segments in all YouTube and Invidious videos you watch.

For a detailed explanation of how SponsorBlock works please visit the [offical website](https://sponsor.ajay.app/).

## Installation

The add-on is available in [36-chambers's repository](https://36-chambers.io/kodi-repository).

1. Install [36-chambers's repository](https://36-chambers.io/kodi-repository/install)
2. Go to "Add-ons" > "Install from repository" > "36-chambers's Repository"
3. Install "SponsorBlock" under "Services"

Congratulations, you now have SponsorBlock installed.

## Configuration

Different settings are shown based on your [Settings Level](https://kodi.wiki/view/Settings#Settings_Level).
For instance, you can only change your user id if your settings level is "Advanced" or above.

### Categories

SponsorBlock is capable of skipping more than just sponsor segments.
You can adjust which segments you want to be skipped in the "Categories" section of the settings.
The default setting is to only skip sponsor segments.

### Importing your account

If you're already using SponsorBlock you might want to use your existing account (user id).
To do this refer to the [Import an existing account](https://github.com/36-chambers/script.service.sponsorblock/wiki/Import-an-existing-account) wiki page.

## Helping out

You can help translate the addon to different languages.
Localisation is done using [GitLocalize](https://gitlocalize.com/).
You can start translating [here](https://gitlocalize.com/repo/4205) (you can sign-in using your GitHub account).
If there's a language missing please don't hesitate to ask for it to be added by opening a new issue.

## Issues and Suggestions

Feel free to [open a new issue](https://github.com/36-chambers/script.service.sponsorblock/issues/new) if you've encountered an issue or if you have a suggestion.
Bonus points if you [provide the debug logs](https://kodi.wiki/view/Log_file/Easy).
